Package com.io7m.jregions.core.unparameterized.sizes

# Class AreaSizeD.Builder

java.lang.Object
com.io7m.jregions.core.unparameterized.sizes.AreaSizeDType.Builder
com.io7m.jregions.core.unparameterized.sizes.AreaSizeD.Builder

Enclosing class:
  AreaSizeD

public static final class AreaSizeD.Builder extends AreaSizeDType.Builder
Builds instances of type `AreaSizeD`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AreaSizeD`
  `build()`
  Builds a new `AreaSizeD`.
  `final AreaSizeD.Builder`
  `from(AreaSizeDType instance)`
  Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.AreaSizeDType` instance.
  `final AreaSizeD.Builder`
  `from(AreaSizeValuesDType instance)`
  Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.AreaSizeValuesDType` instance.
  `final AreaSizeD.Builder`
  `setSizeX(double sizeX)`
  Initializes the value for the `sizeX` attribute.
  `final AreaSizeD.Builder`
  `setSizeY(double sizeY)`
  Initializes the value for the `sizeY` attribute.

  ### Methods inherited from class com.io7m.jregions.core.unparameterized.sizes.AreaSizeDType.Builder

  `setHeight, setWidth`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final AreaSizeD.Builder from(AreaSizeDType instance)
    Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.AreaSizeDType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### from

    public final AreaSizeD.Builder from(AreaSizeValuesDType instance)
    Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.AreaSizeValuesDType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setSizeX

    public final AreaSizeD.Builder setSizeX(double sizeX)
    Initializes the value for the `sizeX` attribute.
    Parameters:
      `sizeX` - The value for sizeX
    Returns:
      `this` builder for use in a chained invocation

  - ### setSizeY

    public final AreaSizeD.Builder setSizeY(double sizeY)
    Initializes the value for the `sizeY` attribute.
    Parameters:
      `sizeY` - The value for sizeY
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public AreaSizeD build()
    Builds a new `AreaSizeD`.
    Returns:
      An immutable instance of AreaSizeD
    Throws:
      `IllegalStateException` - if any required attributes are missing